Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.query
Class SDXRangeQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.RangeQuery
              fr.gouv.culture.sdx.search.lucene.query.SDXRangeQuery

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class SDXRangeQuery

extends org.apache.lucene.search.RangeQuery

SDXRangeQuery extends org.apache.lucene.search.RangeQuery. Here, we just want to re-write the method toString(String) to get a @luceneQuery suitable for SimpleQuery and readable for human ;-) SDXRangeQuery is used by fr.gouv.culture.sdx.search.lucene.query.DateIntervalQuery.

See Also:
  `RangeQuery`, `DateIntervalQuery`, Serialized Form

Constructor Summary
`SDXRangeQuery(org.apache.lucene.index.Term lowerTerm, org.apache.lucene.index.Term upperTerm, boolean inclusive)`

Method Summary
`java.lang.String` | `toString(java.lang.String field)` Prints a user-readable version of this query.

Methods inherited from class org.apache.lucene.search.RangeQuery
`equals, getField, getLowerTerm, getUpperTerm, hashCode, isInclusive, rewrite`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, createWeight, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SDXRangeQuery

    public SDXRangeQuery(org.apache.lucene.index.Term lowerTerm,
                         org.apache.lucene.index.Term upperTerm,
                         boolean inclusive)

Method Detail

### toString

    public java.lang.String toString(java.lang.String field)

  Prints a user-readable version of this query. Here, we want to return a string-encoded date converted into a ISO-8601 formated date (yyyy-MM-dd'T'HH:mm:ssZ).

  Overrides:
    `toString` in class `org.apache.lucene.search.RangeQuery`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.